Class | Sequel::JDBC::JTDS::Dataset
In: | lib/sequel/adapters/jdbc/jtds.rb
Parent: | JDBC::Dataset

Dataset class for JTDS datasets accessed via JDBC.

### Methods

convert_type_proc

### Included Modules

Sequel::MSSQL::DatasetMethods

### Constants

JTDS_CLOB_METHOD | = | TYPE_TRANSLATOR_INSTANCE.method(:jtds_clob)

### Public Instance methods

convert_type_proc(v)

Handle CLOB types retrieved via JTDS.

[Source]

        # File lib/sequel/adapters/jdbc/jtds.rb, line 30
    30:         def convert_type_proc(v)
    31:           if v.is_a?(Java::NetSourceforgeJtdsJdbc::ClobImpl)
    32:             JTDS_CLOB_METHOD
    33:           else
    34:             super
    35:           end
    36:         end

[Validate]